source: trunk/third/gstreamer/testsuite/plugin/Makefile.in @ 21448

Revision 21448, 30.1 KB checked in by ghudson, 20 years ago (diff)
This commit was generated by cvs2svn to compensate for changes in r21447, which included commits to RCS files with non-trunk default branches.
Line 
1# Makefile.in generated by automake 1.9.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17SOURCES = $(libtestplugin_la_SOURCES) $(libtestplugin2_la_SOURCES) dynamic.c linked.c loading.c registry.c static.c static2.c
18
19srcdir = @srcdir@
20top_srcdir = @top_srcdir@
21VPATH = @srcdir@
22pkgdatadir = $(datadir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkgincludedir = $(includedir)/@PACKAGE@
25top_builddir = ../..
26am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27INSTALL = @INSTALL@
28install_sh_DATA = $(install_sh) -c -m 644
29install_sh_PROGRAM = $(install_sh) -c
30install_sh_SCRIPT = $(install_sh) -c
31INSTALL_HEADER = $(INSTALL_DATA)
32transform = $(program_transform_name)
33NORMAL_INSTALL = :
34PRE_INSTALL = :
35POST_INSTALL = :
36NORMAL_UNINSTALL = :
37PRE_UNINSTALL = :
38POST_UNINSTALL = :
39build_triplet = @build@
40host_triplet = @host@
41target_triplet = @target@
42DIST_COMMON = README $(srcdir)/../Rules $(srcdir)/Makefile.am \
43        $(srcdir)/Makefile.in
44check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_2)
45subdir = testsuite/plugin
46ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
47am__aclocal_m4_deps = $(top_srcdir)/common/m4/as-ac-expand.m4 \
48        $(top_srcdir)/common/m4/as-auto-alt.m4 \
49        $(top_srcdir)/common/m4/as-compiler-flag.m4 \
50        $(top_srcdir)/common/m4/as-docbook.m4 \
51        $(top_srcdir)/common/m4/as-libtool.m4 \
52        $(top_srcdir)/common/m4/as-python.m4 \
53        $(top_srcdir)/common/m4/as-scrub-include.m4 \
54        $(top_srcdir)/common/m4/as-version.m4 \
55        $(top_srcdir)/common/m4/gettext.m4 \
56        $(top_srcdir)/common/m4/gst-arch.m4 \
57        $(top_srcdir)/common/m4/gst-doc.m4 \
58        $(top_srcdir)/common/m4/gst-feature.m4 \
59        $(top_srcdir)/common/m4/gst-function.m4 \
60        $(top_srcdir)/common/m4/gst-libxml2.m4 \
61        $(top_srcdir)/common/m4/gst-mcsc.m4 \
62        $(top_srcdir)/common/m4/iconv.m4 \
63        $(top_srcdir)/common/m4/lib-ld.m4 \
64        $(top_srcdir)/common/m4/lib-link.m4 \
65        $(top_srcdir)/common/m4/lib-prefix.m4 \
66        $(top_srcdir)/common/m4/pkg.m4 \
67        $(top_srcdir)/common/m4/progtest.m4 $(top_srcdir)/configure.ac
68am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
69        $(ACLOCAL_M4)
70mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
71CONFIG_HEADER = $(top_builddir)/config.h
72CONFIG_CLEAN_FILES =
73am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
74am__vpath_adj = case $$p in \
75    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
76    *) f=$$p;; \
77  esac;
78am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
79am__installdirs = "$(DESTDIR)$(plugindir)"
80pluginLTLIBRARIES_INSTALL = $(INSTALL)
81LTLIBRARIES = $(plugin_LTLIBRARIES)
82libtestplugin_la_LIBADD =
83am_libtestplugin_la_OBJECTS = libtestplugin_la-testplugin.lo
84libtestplugin_la_OBJECTS = $(am_libtestplugin_la_OBJECTS)
85libtestplugin2_la_LIBADD =
86am_libtestplugin2_la_OBJECTS = libtestplugin2_la-testplugin2.lo
87libtestplugin2_la_OBJECTS = $(am_libtestplugin2_la_OBJECTS)
88am__EXEEXT_1 = dynamic$(EXEEXT) linked$(EXEEXT) loading$(EXEEXT) \
89        registry$(EXEEXT) static$(EXEEXT) static2$(EXEEXT)
90am__EXEEXT_2 =
91dynamic_SOURCES = dynamic.c
92dynamic_OBJECTS = dynamic.$(OBJEXT)
93dynamic_LDADD = $(LDADD)
94linked_SOURCES = linked.c
95linked_OBJECTS = linked.$(OBJEXT)
96linked_LDADD = $(LDADD)
97loading_SOURCES = loading.c
98loading_OBJECTS = loading.$(OBJEXT)
99loading_LDADD = $(LDADD)
100registry_SOURCES = registry.c
101registry_OBJECTS = registry.$(OBJEXT)
102registry_LDADD = $(LDADD)
103static_SOURCES = static.c
104static_OBJECTS = static.$(OBJEXT)
105static_LDADD = $(LDADD)
106static2_SOURCES = static2.c
107static2_OBJECTS = static2.$(OBJEXT)
108static2_LDADD = $(LDADD)
109DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
110depcomp = $(SHELL) $(top_srcdir)/depcomp
111am__depfiles_maybe = depfiles
112COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
113        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
114LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
115        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
116        $(AM_CFLAGS) $(CFLAGS)
117CCLD = $(CC)
118LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
119        $(AM_LDFLAGS) $(LDFLAGS) -o $@
120SOURCES = $(libtestplugin_la_SOURCES) $(libtestplugin2_la_SOURCES) \
121        dynamic.c linked.c loading.c registry.c static.c static2.c
122DIST_SOURCES = $(libtestplugin_la_SOURCES) \
123        $(libtestplugin2_la_SOURCES) dynamic.c linked.c loading.c \
124        registry.c static.c static2.c
125ETAGS = etags
126CTAGS = ctags
127DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
128ACLOCAL = @ACLOCAL@
129ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
130AMDEP_FALSE = @AMDEP_FALSE@
131AMDEP_TRUE = @AMDEP_TRUE@
132AMTAR = @AMTAR@
133AR = @AR@
134AS_LIBTOOL_WIN32_FALSE = @AS_LIBTOOL_WIN32_FALSE@
135AS_LIBTOOL_WIN32_TRUE = @AS_LIBTOOL_WIN32_TRUE@
136AUTOCONF = @AUTOCONF@
137AUTOHEADER = @AUTOHEADER@
138AUTOMAKE = @AUTOMAKE@
139AWK = @AWK@
140BISON_PATH = @BISON_PATH@
141BROKEN_FALSE = @BROKEN_FALSE@
142BROKEN_TRUE = @BROKEN_TRUE@
143BUILD_DOCS_FALSE = @BUILD_DOCS_FALSE@
144BUILD_DOCS_TRUE = @BUILD_DOCS_TRUE@
145BUILD_EXAMPLES_FALSE = @BUILD_EXAMPLES_FALSE@
146BUILD_EXAMPLES_TRUE = @BUILD_EXAMPLES_TRUE@
147BUILD_FAILING_TESTS_FALSE = @BUILD_FAILING_TESTS_FALSE@
148BUILD_FAILING_TESTS_TRUE = @BUILD_FAILING_TESTS_TRUE@
149BUILD_PLUGIN_DOCS_FALSE = @BUILD_PLUGIN_DOCS_FALSE@
150BUILD_PLUGIN_DOCS_TRUE = @BUILD_PLUGIN_DOCS_TRUE@
151BUILD_TESTS_FALSE = @BUILD_TESTS_FALSE@
152BUILD_TESTS_TRUE = @BUILD_TESTS_TRUE@
153CAT_ENTRY_END = @CAT_ENTRY_END@
154CAT_ENTRY_START = @CAT_ENTRY_START@
155CC = @CC@
156CCAS = @CCAS@
157CCASFLAGS = @CCASFLAGS@
158CCDEPMODE = @CCDEPMODE@
159CFLAGS = @CFLAGS@
160CPP = @CPP@
161CPPFLAGS = @CPPFLAGS@
162CXX = @CXX@
163CXXCPP = @CXXCPP@
164CXXDEPMODE = @CXXDEPMODE@
165CXXFLAGS = @CXXFLAGS@
166CYGPATH_W = @CYGPATH_W@
167DEFS = @DEFS@
168DEPDIR = @DEPDIR@
169DOCBOOK_ROOT = @DOCBOOK_ROOT@
170DOC_HTML_FALSE = @DOC_HTML_FALSE@
171DOC_HTML_TRUE = @DOC_HTML_TRUE@
172DOC_PDF_FALSE = @DOC_PDF_FALSE@
173DOC_PDF_TRUE = @DOC_PDF_TRUE@
174DOC_PS_FALSE = @DOC_PS_FALSE@
175DOC_PS_TRUE = @DOC_PS_TRUE@
176ECHO = @ECHO@
177ECHO_C = @ECHO_C@
178ECHO_N = @ECHO_N@
179ECHO_T = @ECHO_T@
180EGREP = @EGREP@
181EXEEXT = @EXEEXT@
182EXPERIMENTAL_FALSE = @EXPERIMENTAL_FALSE@
183EXPERIMENTAL_TRUE = @EXPERIMENTAL_TRUE@
184F77 = @F77@
185FFLAGS = @FFLAGS@
186FLEX_PATH = @FLEX_PATH@
187GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
188GLIB2_CFLAGS = @GLIB2_CFLAGS@
189GLIB2_LIBS = @GLIB2_LIBS@
190GLIB2_REQ = @GLIB2_REQ@
191GLIB_CFLAGS = @GLIB_CFLAGS@
192GLIB_LIBS = @GLIB_LIBS@
193GLIB_ONLY_CFLAGS = @GLIB_ONLY_CFLAGS@
194GLIB_ONLY_LIBS = @GLIB_ONLY_LIBS@
195GMSGFMT = @GMSGFMT@
196GST_AGE = @GST_AGE@
197GST_CACHE_DIR = @GST_CACHE_DIR@
198GST_CURRENT = @GST_CURRENT@
199GST_DISABLE_ALLOC_TRACE_DEFINE = @GST_DISABLE_ALLOC_TRACE_DEFINE@
200GST_DISABLE_ALLOC_TRACE_FALSE = @GST_DISABLE_ALLOC_TRACE_FALSE@
201GST_DISABLE_ALLOC_TRACE_TRUE = @GST_DISABLE_ALLOC_TRACE_TRUE@
202GST_DISABLE_ENUMTYPES_DEFINE = @GST_DISABLE_ENUMTYPES_DEFINE@
203GST_DISABLE_ENUMTYPES_FALSE = @GST_DISABLE_ENUMTYPES_FALSE@
204GST_DISABLE_ENUMTYPES_TRUE = @GST_DISABLE_ENUMTYPES_TRUE@
205GST_DISABLE_GST_DEBUG_DEFINE = @GST_DISABLE_GST_DEBUG_DEFINE@
206GST_DISABLE_GST_DEBUG_FALSE = @GST_DISABLE_GST_DEBUG_FALSE@
207GST_DISABLE_GST_DEBUG_TRUE = @GST_DISABLE_GST_DEBUG_TRUE@
208GST_DISABLE_INDEX_DEFINE = @GST_DISABLE_INDEX_DEFINE@
209GST_DISABLE_INDEX_FALSE = @GST_DISABLE_INDEX_FALSE@
210GST_DISABLE_INDEX_TRUE = @GST_DISABLE_INDEX_TRUE@
211GST_DISABLE_LOADSAVE_DEFINE = @GST_DISABLE_LOADSAVE_DEFINE@
212GST_DISABLE_LOADSAVE_FALSE = @GST_DISABLE_LOADSAVE_FALSE@
213GST_DISABLE_LOADSAVE_TRUE = @GST_DISABLE_LOADSAVE_TRUE@
214GST_DISABLE_OMEGA_COTHREADS_FALSE = @GST_DISABLE_OMEGA_COTHREADS_FALSE@
215GST_DISABLE_OMEGA_COTHREADS_TRUE = @GST_DISABLE_OMEGA_COTHREADS_TRUE@
216GST_DISABLE_PARSE_DEFINE = @GST_DISABLE_PARSE_DEFINE@
217GST_DISABLE_PARSE_FALSE = @GST_DISABLE_PARSE_FALSE@
218GST_DISABLE_PARSE_TRUE = @GST_DISABLE_PARSE_TRUE@
219GST_DISABLE_PLUGIN_DEFINE = @GST_DISABLE_PLUGIN_DEFINE@
220GST_DISABLE_PLUGIN_FALSE = @GST_DISABLE_PLUGIN_FALSE@
221GST_DISABLE_PLUGIN_TRUE = @GST_DISABLE_PLUGIN_TRUE@
222GST_DISABLE_REGISTRY_DEFINE = @GST_DISABLE_REGISTRY_DEFINE@
223GST_DISABLE_REGISTRY_FALSE = @GST_DISABLE_REGISTRY_FALSE@
224GST_DISABLE_REGISTRY_TRUE = @GST_DISABLE_REGISTRY_TRUE@
225GST_DISABLE_TRACE_DEFINE = @GST_DISABLE_TRACE_DEFINE@
226GST_DISABLE_TRACE_FALSE = @GST_DISABLE_TRACE_FALSE@
227GST_DISABLE_TRACE_TRUE = @GST_DISABLE_TRACE_TRUE@
228GST_DISABLE_URI_DEFINE = @GST_DISABLE_URI_DEFINE@
229GST_DISABLE_URI_FALSE = @GST_DISABLE_URI_FALSE@
230GST_DISABLE_URI_TRUE = @GST_DISABLE_URI_TRUE@
231GST_GCOV_ENABLED_FALSE = @GST_GCOV_ENABLED_FALSE@
232GST_GCOV_ENABLED_TRUE = @GST_GCOV_ENABLED_TRUE@
233GST_HAVE_UNALIGNED_ACCESS_DEFINE = @GST_HAVE_UNALIGNED_ACCESS_DEFINE@
234GST_LIBVERSION = @GST_LIBVERSION@
235GST_LIB_CFLAGS = @GST_LIB_CFLAGS@
236GST_LIB_LDFLAGS = @GST_LIB_LDFLAGS@
237GST_LIB_LIBS = @GST_LIB_LIBS@
238GST_LT_LDFLAGS = @GST_LT_LDFLAGS@
239GST_MAJORMINOR = @GST_MAJORMINOR@
240GST_OBJ_CFLAGS = @GST_OBJ_CFLAGS@
241GST_OBJ_LIBS = @GST_OBJ_LIBS@
242GST_PKG_CFLAGS = @GST_PKG_CFLAGS@
243GST_PKG_DEPS = @GST_PKG_DEPS@
244GST_PKG_LIBS = @GST_PKG_LIBS@
245GST_PLUGIN_LDFLAGS = @GST_PLUGIN_LDFLAGS@
246GST_PRINTF_EXTENSION_FORMAT_DEFINE = @GST_PRINTF_EXTENSION_FORMAT_DEFINE@
247GST_REVISION = @GST_REVISION@
248GST_VERSION = @GST_VERSION@
249GST_VERSION_MAJOR = @GST_VERSION_MAJOR@
250GST_VERSION_MICRO = @GST_VERSION_MICRO@
251GST_VERSION_MINOR = @GST_VERSION_MINOR@
252GST_VERSION_NANO = @GST_VERSION_NANO@
253GST_VERSION_RELEASE = @GST_VERSION_RELEASE@
254GTK_DOC_SCANOBJ = @GTK_DOC_SCANOBJ@
255HAVE_CPU_ALPHA_FALSE = @HAVE_CPU_ALPHA_FALSE@
256HAVE_CPU_ALPHA_TRUE = @HAVE_CPU_ALPHA_TRUE@
257HAVE_CPU_ARM_FALSE = @HAVE_CPU_ARM_FALSE@
258HAVE_CPU_ARM_TRUE = @HAVE_CPU_ARM_TRUE@
259HAVE_CPU_HPPA_FALSE = @HAVE_CPU_HPPA_FALSE@
260HAVE_CPU_HPPA_TRUE = @HAVE_CPU_HPPA_TRUE@
261HAVE_CPU_I386_FALSE = @HAVE_CPU_I386_FALSE@
262HAVE_CPU_I386_TRUE = @HAVE_CPU_I386_TRUE@
263HAVE_CPU_IA64_FALSE = @HAVE_CPU_IA64_FALSE@
264HAVE_CPU_IA64_TRUE = @HAVE_CPU_IA64_TRUE@
265HAVE_CPU_M68K_FALSE = @HAVE_CPU_M68K_FALSE@
266HAVE_CPU_M68K_TRUE = @HAVE_CPU_M68K_TRUE@
267HAVE_CPU_MIPS_FALSE = @HAVE_CPU_MIPS_FALSE@
268HAVE_CPU_MIPS_TRUE = @HAVE_CPU_MIPS_TRUE@
269HAVE_CPU_PPC_FALSE = @HAVE_CPU_PPC_FALSE@
270HAVE_CPU_PPC_TRUE = @HAVE_CPU_PPC_TRUE@
271HAVE_CPU_S390_FALSE = @HAVE_CPU_S390_FALSE@
272HAVE_CPU_S390_TRUE = @HAVE_CPU_S390_TRUE@
273HAVE_CPU_SPARC_FALSE = @HAVE_CPU_SPARC_FALSE@
274HAVE_CPU_SPARC_TRUE = @HAVE_CPU_SPARC_TRUE@
275HAVE_CPU_X86_64_FALSE = @HAVE_CPU_X86_64_FALSE@
276HAVE_CPU_X86_64_TRUE = @HAVE_CPU_X86_64_TRUE@
277HAVE_DOCBOOK2HTML = @HAVE_DOCBOOK2HTML@
278HAVE_DOCBOOK2PS = @HAVE_DOCBOOK2PS@
279HAVE_DOCBOOK_FALSE = @HAVE_DOCBOOK_FALSE@
280HAVE_DOCBOOK_TRUE = @HAVE_DOCBOOK_TRUE@
281HAVE_DVIPS = @HAVE_DVIPS@
282HAVE_EPSTOPDF = @HAVE_EPSTOPDF@
283HAVE_FIG2DEV = @HAVE_FIG2DEV@
284HAVE_GTK_DOC = @HAVE_GTK_DOC@
285HAVE_GTK_DOC_FALSE = @HAVE_GTK_DOC_FALSE@
286HAVE_GTK_DOC_TRUE = @HAVE_GTK_DOC_TRUE@
287HAVE_JADETEX = @HAVE_JADETEX@
288HAVE_LIBGNOMEUI_FALSE = @HAVE_LIBGNOMEUI_FALSE@
289HAVE_LIBGNOMEUI_TRUE = @HAVE_LIBGNOMEUI_TRUE@
290HAVE_PNGTOPNM = @HAVE_PNGTOPNM@
291HAVE_PNMTOPS = @HAVE_PNMTOPS@
292HAVE_POPT = @HAVE_POPT@
293HAVE_PS2PDF = @HAVE_PS2PDF@
294HTML_DIR = @HTML_DIR@
295INSTALL_DATA = @INSTALL_DATA@
296INSTALL_PROGRAM = @INSTALL_PROGRAM@
297INSTALL_SCRIPT = @INSTALL_SCRIPT@
298INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
299INTLLIBS = @INTLLIBS@
300LDFLAGS = @LDFLAGS@
301LIBDIR = @LIBDIR@
302LIBGNOMEUI_CFLAGS = @LIBGNOMEUI_CFLAGS@
303LIBGNOMEUI_LIBS = @LIBGNOMEUI_LIBS@
304LIBICONV = @LIBICONV@
305LIBINTL = @LIBINTL@
306LIBOBJS = @LIBOBJS@
307LIBS = $(GST_OBJ_LIBS)
308LIBTOOL = @LIBTOOL@
309LIBXML2_REQ = @LIBXML2_REQ@
310LIBXML_PKG = @LIBXML_PKG@
311LN_S = @LN_S@
312LOCALEDIR = @LOCALEDIR@
313LTLIBICONV = @LTLIBICONV@
314LTLIBINTL = @LTLIBINTL@
315LTLIBOBJS = @LTLIBOBJS@
316MAINT = @MAINT@
317MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
318MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
319MAKEINFO = @MAKEINFO@
320MKINSTALLDIRS = @MKINSTALLDIRS@
321MSGFMT = @MSGFMT@
322MSGMERGE = @MSGMERGE@
323OBJEXT = @OBJEXT@
324PACKAGE = @PACKAGE@
325PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
326PACKAGE_NAME = @PACKAGE_NAME@
327PACKAGE_STRING = @PACKAGE_STRING@
328PACKAGE_TARNAME = @PACKAGE_TARNAME@
329PACKAGE_VERSION = @PACKAGE_VERSION@
330PATH_SEPARATOR = @PATH_SEPARATOR@
331PERL_PATH = @PERL_PATH@
332PKG_CONFIG = @PKG_CONFIG@
333PLUGINS_BUILDDIR = @PLUGINS_BUILDDIR@
334PLUGINS_DIR = @PLUGINS_DIR@
335PLUGINS_USE_BUILDDIR_FALSE = @PLUGINS_USE_BUILDDIR_FALSE@
336PLUGINS_USE_BUILDDIR_TRUE = @PLUGINS_USE_BUILDDIR_TRUE@
337POPT_LIBS = @POPT_LIBS@
338POSUB = @POSUB@
339PYTHON = @PYTHON@
340PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
341PYTHON_PLATFORM = @PYTHON_PLATFORM@
342PYTHON_PREFIX = @PYTHON_PREFIX@
343PYTHON_VERSION = @PYTHON_VERSION@
344RANLIB = @RANLIB@
345SET_MAKE = @SET_MAKE@
346SHELL = @SHELL@
347STRIP = @STRIP@
348USE_NLS = @USE_NLS@
349VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
350VALGRIND_LIBS = @VALGRIND_LIBS@
351VERSION = @VERSION@
352XGETTEXT = @XGETTEXT@
353XML_CATALOG = @XML_CATALOG@
354XML_CFLAGS = @XML_CFLAGS@
355XML_LIBS = @XML_LIBS@
356XSLTPROC = @XSLTPROC@
357XSLTPROC_FLAGS = @XSLTPROC_FLAGS@
358ac_ct_AR = @ac_ct_AR@
359ac_ct_CC = @ac_ct_CC@
360ac_ct_CXX = @ac_ct_CXX@
361ac_ct_F77 = @ac_ct_F77@
362ac_ct_RANLIB = @ac_ct_RANLIB@
363ac_ct_STRIP = @ac_ct_STRIP@
364am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
365am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
366am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
367am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
368am__include = @am__include@
369am__leading_dot = @am__leading_dot@
370am__quote = @am__quote@
371am__tar = @am__tar@
372am__untar = @am__untar@
373bindir = @bindir@
374build = @build@
375build_alias = @build_alias@
376build_cpu = @build_cpu@
377build_os = @build_os@
378build_vendor = @build_vendor@
379datadir = @datadir@
380exec_prefix = @exec_prefix@
381host = @host@
382host_alias = @host_alias@
383host_cpu = @host_cpu@
384host_os = @host_os@
385host_vendor = @host_vendor@
386includedir = @includedir@
387infodir = @infodir@
388install_sh = @install_sh@
389libdir = @libdir@
390libexecdir = @libexecdir@
391localstatedir = @localstatedir@
392mandir = @mandir@
393mkdir_p = @mkdir_p@
394oldincludedir = @oldincludedir@
395pkgpyexecdir = @pkgpyexecdir@
396pkgpythondir = @pkgpythondir@
397plugindir = $(libdir)/gstreamer-@GST_MAJORMINOR@
398prefix = @prefix@
399program_transform_name = @program_transform_name@
400pyexecdir = @pyexecdir@
401pythondir = @pythondir@
402sbindir = @sbindir@
403sharedstatedir = @sharedstatedir@
404sysconfdir = @sysconfdir@
405target = @target@
406target_alias = @target_alias@
407target_cpu = @target_cpu@
408target_os = @target_os@
409target_vendor = @target_vendor@
410TESTS_ENVIRONMENT = \
411        G_DEBUG=fatal_warnings \
412        GST_PLUGIN_PATH=$(top_builddir)/gst:$(top_builddir)/testsuite \
413        GST_REGISTRY=$(top_builddir)/testsuite/test-registry.xml
414
415TESTS = $(top_builddir)/tools/gst-register-@GST_MAJORMINOR@ \
416        $(tests_pass) $(tests_fail)
417
418XFAIL_TESTS = $(tests_fail)
419AM_CFLAGS = $(GST_OBJ_CFLAGS)
420
421# This rule is here so make distcheck works on machines where core
422# dumps have PIDs appended
423CLEANFILES = core.*
424plugin_LTLIBRARIES = libtestplugin.la libtestplugin2.la
425tests_pass = dynamic linked loading registry static static2
426tests_fail =
427tests_ignore =
428libtestplugin_la_SOURCES = testplugin.c
429libtestplugin_la_CFLAGS = $(GST_OBJ_CFLAGS)
430libtestplugin_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
431libtestplugin2_la_SOURCES = testplugin2.c
432libtestplugin2_la_CFLAGS = $(GST_OBJ_CFLAGS)
433libtestplugin2_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
434linked_LIBS = libtestplugin.la libtestplugin2.la
435all: all-am
436
437.SUFFIXES:
438.SUFFIXES: .c .lo .o .obj
439$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../Rules $(am__configure_deps)
440        @for dep in $?; do \
441          case '$(am__configure_deps)' in \
442            *$$dep*) \
443              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
444                && exit 0; \
445              exit 1;; \
446          esac; \
447        done; \
448        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/plugin/Makefile'; \
449        cd $(top_srcdir) && \
450          $(AUTOMAKE) --gnu  testsuite/plugin/Makefile
451.PRECIOUS: Makefile
452Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
453        @case '$?' in \
454          *config.status*) \
455            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
456          *) \
457            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
458            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
459        esac;
460
461$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
462        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
463
464$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
465        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
466$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
467        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
468
469uninstall-pluginLTLIBRARIES:
470        @$(NORMAL_UNINSTALL)
471        @set -x; list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
472          p=$(am__strip_dir) \
473          echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(plugindir)/$$p'"; \
474          $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(plugindir)/$$p"; \
475        done
476
477clean-pluginLTLIBRARIES:
478        -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES)
479        @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
480          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
481          test "$$dir" != "$$p" || dir=.; \
482          echo "rm -f \"$${dir}/so_locations\""; \
483          rm -f "$${dir}/so_locations"; \
484        done
485libtestplugin.la: $(libtestplugin_la_OBJECTS) $(libtestplugin_la_DEPENDENCIES)
486        $(LINK) -rpath $(plugindir) $(libtestplugin_la_LDFLAGS) $(libtestplugin_la_OBJECTS) $(libtestplugin_la_LIBADD) $(LIBS)
487libtestplugin2.la: $(libtestplugin2_la_OBJECTS) $(libtestplugin2_la_DEPENDENCIES)
488        $(LINK) -rpath $(plugindir) $(libtestplugin2_la_LDFLAGS) $(libtestplugin2_la_OBJECTS) $(libtestplugin2_la_LIBADD) $(LIBS)
489
490clean-checkPROGRAMS:
491        @list='$(check_PROGRAMS)'; for p in $$list; do \
492          f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
493          echo " rm -f $$p $$f"; \
494          rm -f $$p $$f ; \
495        done
496dynamic$(EXEEXT): $(dynamic_OBJECTS) $(dynamic_DEPENDENCIES)
497        @rm -f dynamic$(EXEEXT)
498        $(LINK) $(dynamic_LDFLAGS) $(dynamic_OBJECTS) $(dynamic_LDADD) $(LIBS)
499linked$(EXEEXT): $(linked_OBJECTS) $(linked_DEPENDENCIES)
500        @rm -f linked$(EXEEXT)
501        $(LINK) $(linked_LDFLAGS) $(linked_OBJECTS) $(linked_LDADD) $(LIBS)
502loading$(EXEEXT): $(loading_OBJECTS) $(loading_DEPENDENCIES)
503        @rm -f loading$(EXEEXT)
504        $(LINK) $(loading_LDFLAGS) $(loading_OBJECTS) $(loading_LDADD) $(LIBS)
505registry$(EXEEXT): $(registry_OBJECTS) $(registry_DEPENDENCIES)
506        @rm -f registry$(EXEEXT)
507        $(LINK) $(registry_LDFLAGS) $(registry_OBJECTS) $(registry_LDADD) $(LIBS)
508static$(EXEEXT): $(static_OBJECTS) $(static_DEPENDENCIES)
509        @rm -f static$(EXEEXT)
510        $(LINK) $(static_LDFLAGS) $(static_OBJECTS) $(static_LDADD) $(LIBS)
511static2$(EXEEXT): $(static2_OBJECTS) $(static2_DEPENDENCIES)
512        @rm -f static2$(EXEEXT)
513        $(LINK) $(static2_LDFLAGS) $(static2_OBJECTS) $(static2_LDADD) $(LIBS)
514
515mostlyclean-compile:
516        -rm -f *.$(OBJEXT)
517
518distclean-compile:
519        -rm -f *.tab.c
520
521@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynamic.Po@am__quote@
522@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libtestplugin2_la-testplugin2.Plo@am__quote@
523@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libtestplugin_la-testplugin.Plo@am__quote@
524@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/linked.Po@am__quote@
525@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loading.Po@am__quote@
526@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/registry.Po@am__quote@
527@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/static.Po@am__quote@
528@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/static2.Po@am__quote@
529
530.c.o:
531@am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
532@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
533@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
534@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
535@am__fastdepCC_FALSE@   $(COMPILE) -c $<
536
537.c.obj:
538@am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
539@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
540@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
541@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
542@am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
543
544.c.lo:
545@am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
546@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
547@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
548@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
549@am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
550
551libtestplugin_la-testplugin.lo: testplugin.c
552@am__fastdepCC_TRUE@    if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -MT libtestplugin_la-testplugin.lo -MD -MP -MF "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" -c -o libtestplugin_la-testplugin.lo `test -f 'testplugin.c' || echo '$(srcdir)/'`testplugin.c; \
553@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" "$(DEPDIR)/libtestplugin_la-testplugin.Plo"; else rm -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo"; exit 1; fi
554@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin.c' object='libtestplugin_la-testplugin.lo' libtool=yes @AMDEPBACKSLASH@
555@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
556@am__fastdepCC_FALSE@   $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -c -o libtestplugin_la-testplugin.lo `test -f 'testplugin.c' || echo '$(srcdir)/'`testplugin.c
557
558libtestplugin2_la-testplugin2.lo: testplugin2.c
559@am__fastdepCC_TRUE@    if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -MT libtestplugin2_la-testplugin2.lo -MD -MP -MF "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" -c -o libtestplugin2_la-testplugin2.lo `test -f 'testplugin2.c' || echo '$(srcdir)/'`testplugin2.c; \
560@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" "$(DEPDIR)/libtestplugin2_la-testplugin2.Plo"; else rm -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo"; exit 1; fi
561@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin2.c' object='libtestplugin2_la-testplugin2.lo' libtool=yes @AMDEPBACKSLASH@
562@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
563@am__fastdepCC_FALSE@   $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -c -o libtestplugin2_la-testplugin2.lo `test -f 'testplugin2.c' || echo '$(srcdir)/'`testplugin2.c
564
565mostlyclean-libtool:
566        -rm -f *.lo
567
568clean-libtool:
569        -rm -rf .libs _libs
570
571distclean-libtool:
572        -rm -f libtool
573uninstall-info-am:
574
575ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
576        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
577        unique=`for i in $$list; do \
578            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
579          done | \
580          $(AWK) '    { files[$$0] = 1; } \
581               END { for (i in files) print i; }'`; \
582        mkid -fID $$unique
583tags: TAGS
584
585TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
586                $(TAGS_FILES) $(LISP)
587        tags=; \
588        here=`pwd`; \
589        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
590        unique=`for i in $$list; do \
591            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
592          done | \
593          $(AWK) '    { files[$$0] = 1; } \
594               END { for (i in files) print i; }'`; \
595        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
596          test -n "$$unique" || unique=$$empty_fix; \
597          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
598            $$tags $$unique; \
599        fi
600ctags: CTAGS
601CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
602                $(TAGS_FILES) $(LISP)
603        tags=; \
604        here=`pwd`; \
605        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
606        unique=`for i in $$list; do \
607            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
608          done | \
609          $(AWK) '    { files[$$0] = 1; } \
610               END { for (i in files) print i; }'`; \
611        test -z "$(CTAGS_ARGS)$$tags$$unique" \
612          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
613             $$tags $$unique
614
615GTAGS:
616        here=`$(am__cd) $(top_builddir) && pwd` \
617          && cd $(top_srcdir) \
618          && gtags -i $(GTAGS_ARGS) $$here
619
620distclean-tags:
621        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
622
623check-TESTS: $(TESTS)
624        @failed=0; all=0; xfail=0; xpass=0; skip=0; \
625        srcdir=$(srcdir); export srcdir; \
626        list='$(TESTS)'; \
627        if test -n "$$list"; then \
628          for tst in $$list; do \
629            if test -f ./$$tst; then dir=./; \
630            elif test -f $$tst; then dir=; \
631            else dir="$(srcdir)/"; fi; \
632            if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
633              all=`expr $$all + 1`; \
634              case " $(XFAIL_TESTS) " in \
635              *" $$tst "*) \
636                xpass=`expr $$xpass + 1`; \
637                failed=`expr $$failed + 1`; \
638                echo "XPASS: $$tst"; \
639              ;; \
640              *) \
641                echo "PASS: $$tst"; \
642              ;; \
643              esac; \
644            elif test $$? -ne 77; then \
645              all=`expr $$all + 1`; \
646              case " $(XFAIL_TESTS) " in \
647              *" $$tst "*) \
648                xfail=`expr $$xfail + 1`; \
649                echo "XFAIL: $$tst"; \
650              ;; \
651              *) \
652                failed=`expr $$failed + 1`; \
653                echo "FAIL: $$tst"; \
654              ;; \
655              esac; \
656            else \
657              skip=`expr $$skip + 1`; \
658              echo "SKIP: $$tst"; \
659            fi; \
660          done; \
661          if test "$$failed" -eq 0; then \
662            if test "$$xfail" -eq 0; then \
663              banner="All $$all tests passed"; \
664            else \
665              banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
666            fi; \
667          else \
668            if test "$$xpass" -eq 0; then \
669              banner="$$failed of $$all tests failed"; \
670            else \
671              banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
672            fi; \
673          fi; \
674          dashes="$$banner"; \
675          skipped=""; \
676          if test "$$skip" -ne 0; then \
677            skipped="($$skip tests were not run)"; \
678            test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
679              dashes="$$skipped"; \
680          fi; \
681          report=""; \
682          if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
683            report="Please report to $(PACKAGE_BUGREPORT)"; \
684            test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
685              dashes="$$report"; \
686          fi; \
687          dashes=`echo "$$dashes" | sed s/./=/g`; \
688          echo "$$dashes"; \
689          echo "$$banner"; \
690          test -z "$$skipped" || echo "$$skipped"; \
691          test -z "$$report" || echo "$$report"; \
692          echo "$$dashes"; \
693          test "$$failed" -eq 0; \
694        else :; fi
695
696distdir: $(DISTFILES)
697        $(mkdir_p) $(distdir)/..
698        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
699        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
700        list='$(DISTFILES)'; for file in $$list; do \
701          case $$file in \
702            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
703            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
704          esac; \
705          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
706          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
707          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
708            dir="/$$dir"; \
709            $(mkdir_p) "$(distdir)$$dir"; \
710          else \
711            dir=''; \
712          fi; \
713          if test -d $$d/$$file; then \
714            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
715              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
716            fi; \
717            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
718          else \
719            test -f $(distdir)/$$file \
720            || cp -p $$d/$$file $(distdir)/$$file \
721            || exit 1; \
722          fi; \
723        done
724check-am: all-am
725        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
726        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
727check: check-am
728all-am: Makefile $(LTLIBRARIES)
729installdirs:
730        for dir in "$(DESTDIR)$(plugindir)"; do \
731          test -z "$$dir" || $(mkdir_p) "$$dir"; \
732        done
733install: install-am
734install-exec: install-exec-am
735install-data: install-data-am
736uninstall: uninstall-am
737
738install-am: all-am
739        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
740
741installcheck: installcheck-am
742install-strip:
743        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
744          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
745          `test -z '$(STRIP)' || \
746            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
747mostlyclean-generic:
748
749clean-generic:
750        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
751
752distclean-generic:
753        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
754
755maintainer-clean-generic:
756        @echo "This command is intended for maintainers to use"
757        @echo "it deletes files that may require special tools to rebuild."
758clean: clean-am
759
760clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
761        clean-pluginLTLIBRARIES mostlyclean-am
762
763distclean: distclean-am
764        -rm -rf ./$(DEPDIR)
765        -rm -f Makefile
766distclean-am: clean-am distclean-compile distclean-generic \
767        distclean-libtool distclean-tags
768
769dvi: dvi-am
770
771dvi-am:
772
773html: html-am
774
775info: info-am
776
777info-am:
778
779install-data-am: install-pluginLTLIBRARIES
780
781install-exec-am:
782
783install-info: install-info-am
784
785install-man:
786
787installcheck-am:
788
789maintainer-clean: maintainer-clean-am
790        -rm -rf ./$(DEPDIR)
791        -rm -f Makefile
792maintainer-clean-am: distclean-am maintainer-clean-generic
793
794mostlyclean: mostlyclean-am
795
796mostlyclean-am: mostlyclean-compile mostlyclean-generic \
797        mostlyclean-libtool
798
799pdf: pdf-am
800
801pdf-am:
802
803ps: ps-am
804
805ps-am:
806
807uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES
808
809.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
810        clean-checkPROGRAMS clean-generic clean-libtool \
811        clean-pluginLTLIBRARIES ctags distclean distclean-compile \
812        distclean-generic distclean-libtool distclean-tags distdir dvi \
813        dvi-am html html-am info info-am install install-am \
814        install-data install-data-am install-exec install-exec-am \
815        install-info install-info-am install-man \
816        install-pluginLTLIBRARIES install-strip installcheck \
817        installcheck-am installdirs maintainer-clean \
818        maintainer-clean-generic mostlyclean mostlyclean-compile \
819        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
820        tags uninstall uninstall-am uninstall-info-am \
821        uninstall-pluginLTLIBRARIES
822
823
824# make all tests depend on the versioned gst-register
825$(tests_pass) $(tests_fail): $(top_builddir)/tools/gst-register-@GST_MAJORMINOR@
826
827# rebuild gst-register-@GST_MAJORMINOR@ if needed
828# the EXEEXT is because am 1.6 complained about overrides
829$(top_builddir)/tools/gst-register-@GST_MAJORMINOR@$(EXEEXT):
830        cd $(top_builddir)/tools && make
831
832# override to _not_ install the test plugins
833install-pluginLTLIBRARIES:
834# Tell versions [3.59,3.63) of GNU make to not export all variables.
835# Otherwise a system limit (for SysV at least) may be exceeded.
836.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.